org.apache.datasketches.kll

## Enum KllSketch.SketchType

- java.lang.Object
- - java.lang.Enum<KllSketch.SketchType>
  - - org.apache.datasketches.kll.KllSketch.SketchType

All Implemented Interfaces:
  Serializable, Comparable<KllSketch.SketchType>

Enclosing class:
  KllSketch

    public static enum KllSketch.SketchType
    extends Enum<KllSketch.SketchType>

Used to define the variable type of the current instance of this class.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DOUBLES_SKETCH` KllDoublesSketch
`FLOATS_SKETCH` KllFloatsSketch
`ITEMS_SKETCH` KllItemsSketch
`LONGS_SKETCH` KllDoublesSketch

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getBytes()` Gets the item size in bytes.
`String` `getName()` Get the name of the associated sketch
`static KllSketch.SketchType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static KllSketch.SketchType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DOUBLES_SKETCH

    public static final KllSketch.SketchType DOUBLES_SKETCH

KllDoublesSketch

#### FLOATS_SKETCH

    public static final KllSketch.SketchType FLOATS_SKETCH

KllFloatsSketch

#### ITEMS_SKETCH

    public static final KllSketch.SketchType ITEMS_SKETCH

KllItemsSketch

#### LONGS_SKETCH

    public static final KllSketch.SketchType LONGS_SKETCH

KllDoublesSketch

### Method Detail

#### values

    public static KllSketch.SketchType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (KllSketch.SketchType c : KllSketch.SketchType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static KllSketch.SketchType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getBytes

    public int getBytes()

Gets the item size in bytes. If the item is generic, this returns zero.

Returns:
  the item size in bytes

#### getName

    public String getName()

Get the name of the associated sketch

Returns:
  the name of the associated sketch